Positions
Alle Operationen rund um Positions.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Position | position |
17 | — | position_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/positions |
Create position | Create a new position in the active tenant. |
DELETE |
/v1/positions/{id} |
Delete position | Soft delete entity. |
GET |
/v1/positions/{id} |
Get position by id | Fetch a single position. |
GET |
/v1/positions/{id}/holders |
GET /v1/positions/{id}/holders | CodeMeta OS API endpoint. |
GET |
/v1/positions/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/positions/staffing |
GET /v1/positions/staffing | CodeMeta OS API endpoint. |
GET |
/v1/positions/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/positions/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/positions |
List positions | List positions for the active tenant. |
PATCH |
/v1/positions/{id} |
Patch position | JSON Merge Patch update. |
POST |
/v1/positions/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/positions/{id}/deactivate |
POST /v1/positions/{id}/deactivate | CodeMeta OS API endpoint. |
POST |
/v1/positions/{id}/transition |
POST /v1/positions/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/positions/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/positions/{id} |
Replace position | Full replace with optimistic locking. |